OracleDatabase (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.oracle.OracleDatabase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.oracle
Interface OracleDatabase

All Superinterfaces:
  ConfigurationItem, Database, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleDatabase

extends Database

Represents an instance of the Oracle Database.

Naming Rules:
  0="parent,name" 1="domainName,name" 2="managedSystemName"
Persistable:
  true
Table Name:
  ORCLDBASE
Top Level:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.db.Database
`IBM_COPYRIGHT`

Method Summary
`OracleControlFile[]` | `getControlFiles()`
`OracleDataFile[]` | `getDataFiles()`
`OracleDBLink[]` | `getDBLinks()`
`java.lang.String` | `getDBName()`
`java.lang.String` | `getDBVersion()`
`java.lang.String` | `getDomainName()`
`OracleInitValue[]` | `getInitValues()`
`OracleInstance` | `getParent()`
`OracleRedoLogFile[]` | `getRedoLogFiles()`
`OracleSchemaDetail` | `getSchemaContent()`
`OracleSchema[]` | `getSchemas()`
`LogicalContent` | `getSchemasRawData()`
`OracleTableSpace[]` | `getTableSpaces()`
`boolean` | `hasControlFiles()`
`boolean` | `hasDataFiles()`
`boolean` | `hasDBLinks()`
`boolean` | `hasDBName()`
`boolean` | `hasDBVersion()`
`boolean` | `hasDomainName()`
`boolean` | `hasInitValues()`
`boolean` | `hasParent()`
`boolean` | `hasRedoLogFiles()`
`boolean` | `hasSchemaContent()`
`boolean` | `hasSchemas()`
`boolean` | `hasSchemasRawData()`
`boolean` | `hasTableSpaces()`
`void` | `setControlFiles(OracleControlFile[] controlFiles)`
`void` | `setDataFiles(OracleDataFile[] dataFiles)`
`void` | `setDBLinks(OracleDBLink[] dbLinks)`
`void` | `setDBName(java.lang.String ProductName)`
`void` | `setDBVersion(java.lang.String Version)`
`void` | `setDomainName(java.lang.String domainName)`
`void` | `setInitValues(OracleInitValue[] initValues)`
`void` | `setParent(OracleInstance parent)`
`void` | `setRedoLogFiles(OracleRedoLogFile[] redoLogFiles)`
`void` | `setSchemaContent(OracleSchemaDetail metadata)`
`void` | `setSchemas(OracleSchema[] schemas)`
`void` | `setSchemasRawData(LogicalContent schemas)`
`void` | `setTableSpaces(OracleTableSpace[] tableSpaces)`

Methods inherited from interface com.collation.platform.model.topology.app.db.Database
`getName, hasName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    OracleInstance getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(OracleInstance parent)

### hasParent

    boolean hasParent()

### getDomainName

    java.lang.String getDomainName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDomainName

    void setDomainName(java.lang.String domainName)

### hasDomainName

    boolean hasDomainName()

### getSchemaContent

    OracleSchemaDetail getSchemaContent()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSchemaContent

    void setSchemaContent(OracleSchemaDetail metadata)

### hasSchemaContent

    boolean hasSchemaContent()

### getSchemas

    OracleSchema[] getSchemas()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSchemas

    void setSchemas(OracleSchema[] schemas)

### hasSchemas

    boolean hasSchemas()

### getSchemasRawData

    LogicalContent getSchemasRawData()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSchemasRawData

    void setSchemasRawData(LogicalContent schemas)

### hasSchemasRawData

    boolean hasSchemasRawData()

### getRedoLogFiles

    OracleRedoLogFile[] getRedoLogFiles()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setRedoLogFiles

    void setRedoLogFiles(OracleRedoLogFile[] redoLogFiles)

### hasRedoLogFiles

    boolean hasRedoLogFiles()

### getDataFiles

    OracleDataFile[] getDataFiles()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDataFiles

    void setDataFiles(OracleDataFile[] dataFiles)

### hasDataFiles

    boolean hasDataFiles()

### getControlFiles

    OracleControlFile[] getControlFiles()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setControlFiles

    void setControlFiles(OracleControlFile[] controlFiles)

### hasControlFiles

    boolean hasControlFiles()

### getTableSpaces

    OracleTableSpace[] getTableSpaces()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setTableSpaces

    void setTableSpaces(OracleTableSpace[] tableSpaces)

### hasTableSpaces

    boolean hasTableSpaces()

### getInitValues

    OracleInitValue[] getInitValues()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setInitValues

    void setInitValues(OracleInitValue[] initValues)

### hasInitValues

    boolean hasInitValues()

### getDBVersion

    java.lang.String getDBVersion()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDBVersion

    void setDBVersion(java.lang.String Version)

### hasDBVersion

    boolean hasDBVersion()

### getDBName

    java.lang.String getDBName()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDBName

    void setDBName(java.lang.String ProductName)

### hasDBName

    boolean hasDBName()

### getDBLinks

    OracleDBLink[] getDBLinks()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDBLinks

    void setDBLinks(OracleDBLink[] dbLinks)

### hasDBLinks

    boolean hasDBLinks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD